import API_URL from "../config/api";
import type { ApiErrorResponse, NextWorkshopsResponse } from "../types";

export function useNextWorkshops() {
    async function getNextWorkshops() {
        const response = await fetch(`${API_URL}/api/next-workshops`, {
            method: "GET",
            headers: {
                Accept: "application/json",
                "Content-Type": "application/json",
                Authorization: `Bearer ${localStorage.getItem("token")}`
            },
        });
        const data = await response.json();
        if (response.ok) {
            return {
                workshops: data.data as NextWorkshopsResponse[],
            };
        } else {
            return data as ApiErrorResponse;
        }
    }
    return { getNextWorkshops };
}